Name: libusb
Epoch:   1
Version: 0.1.5
Release: 18
Summary: USB Library
License: LGPLv2+
URL:     http://sourceforge.net/projects/libusb/
Source0: http://downloads.sourceforge.net/libusb/libusb-compat-%{version}.tar.bz2
Patch0:  0000-Link-with-znodelete-to-disallow-unloading.patch
Patch1:  0001-Revert-use-atexit-to-call-libusb_exit.patch
BuildRequires:  gcc libusb1-devel 

%description
This package provides a library that allows userspace access to USB devices.

%package devel
Summary: USB Library
Requires: %{name}%{?_isa} = %{epoch}:%{version}-%{release}

%description devel
This package contains the files needed to develop applications that use libusb-0.1.

%prep
%autosetup -n libusb-compat-%{version} -p1

%build
%configure --disable-static
%make_build

%check
make check

%install
%make_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/libusb-0.1.so.*
%{_libdir}/libusb.la

%files devel
%{_bindir}/*
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/libusb.so

%changelog
* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 0.1.5-18
- DESC: delete -Sgit from %autosetup, and delete BuildRequires git

* Wed Nov 4 2020 lixiaokeng <lixiaokeng@hauwei.com> - 1:0.1.5-17
- add make check

* Sun Jul 5 2020 Zhiqiang Liu <lzhq28@mail.ustc.edu.cn> - 1:0.1.5-16
- remove useless readme files.

* Tue Sep 3 2019 openEuler Buildteam <buildteam@openeuler.org> - 1:0.1.5-15
- Type:enhancemnet
- ID:NA
- SUG:restart
- DESCi:openEuler Debranding

* Wed Aug 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 1:0.1.5-14
- Type:other
- ID:NA
- SUG:NA
- DESC:rename patches

* Mon Apr 15 2019 openEuler Buildteam <buildteam@openeuler.org> - 1:0.1.5-13
- Package Initialization

